/*
 * KG4 Rewrite 
 *
 * Write out a new private KG4 PPF with reprocessed 
 * 
 *
*/

#include <iostream>
#include <fstream>
#include <string>
#include <cmath>
#include <cstdio>
#include "ppfc++.hpp"

int bmfLoad(char *fileName, int *rows, int *cols, double **rowHead, double **colHead, double **data);
int bmfWrite(char *fileName, int rows, int cols, double *rowHead,double *colHead, double *data);

using namespace std;
using namespace ppf;

int main(int argc, char *argv[])
{
	long shot;
	datatype a;
	
 	shot = 70548; //atol(argv[2]);
 	
 	// 2nd version of code: verbose (explicit) version 
 	try
 	{
 		ppfdb.connect("JETPPF", ppf::read);
 		ppfdb.connect("oford", ppf::write);
 
 		ppfdb.read(a, shot, "KG4", "FAR5");
 		
		double colHead[] = { 0, 0 };
 		double *rowHead;
 		double *data;
 
 		rowHead = (double *)malloc(sizeof(double) * a.sizeT());
 		data = (double *)malloc(sizeof(double) * a.sizeT());
 		if(!rowHead || !data){ printf("Malloc fail\n"); return 1; }

 		for(int i=0;i<a.sizeT();i++){
 			rowHead[i] = a.getT(i);
 			data[i] = a.getDataIt(i);
			printf("%i %f %f\n",i,rowHead[i],data[i]);
 		}

  		bmfWrite((char *)"./merp.bin",a.sizeT(),1,rowHead,NULL,data);


// 		//ppfdb.create(shot, 1, "Test PPF");
// 		//ppfdb.write(a, "TEST", "A", ppf::tvector | ppf::xvector);
// 		
// 		//for (long t=0;t<a.sizeT();t++) a.setT(t, a.getT(t) - 0.001);
// 
// 		//ppfdb.write(a, "TEST", "B", ppf::tvector | ppf::xvector);
// 		//ppfdb.closeDDA(1, "Test DDA");
// 		//ppfdb.commit("PPFTEST", 1);
 	}
 	catch (ppf_error &e)
 	{
 		cout << e.message << " Code=" << e.code << ", Routine=" << e.method << endl;
 		exit(1);
 	}
 	
   	return 0;
}


